%define section   free

Name:           velocity-dvsl
Version:        0.45
Release:        2jpp
Epoch:          0
Summary:        DVSL Declarative Velocity Style Language

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/velocity/dvsl/
Source0:        http://cvs.apache.org/builds/jakarta-velocity/nightly/2003-09-09/jakarta-velocity-dvsl-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  jakarta-commons-collections
BuildRequires:  dom4j
BuildRequires:  jaxen
BuildRequires:  saxpath
BuildRequires:  velocity
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:  ant >= 0:1.5
Requires:  jakarta-commons-collections
Requires:  dom4j
Requires:  jaxen
Requires:  saxpath
Requires:  velocity
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  xml-commons-apis

%description
DVSL (Declarative Velocity Style Language) is a tool modeled 
after XSLT and is intended for general XML transformations 
using the Velocity Template Language as the templating language 
for the transformations. The key differences are that it 
incorporates easy access to Java objects and allows you to use 
the Velocity template language and it's features for expressing 
the transformation templates. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Documentation
Requires:       velocity-dvsl = 0:0.45-1jpp

%description    demo
%{summary}.

%prep
%setup -q -n jakarta-%{name}
find . -name "*.jar" -exec rm {} \;
(cd lib
ln -s $(find-jar ant) ant.jar
ln -s $(find-jar commons-collections) commons-collections.jar
ln -s $(find-jar dom4j) dom4j.jar
ln -s $(find-jar jaxen) jaxen.jar
ln -s $(find-jar saxpath) saxpath.jar
ln -s $(find-jar velocity) velocity.jar
ln -s $(find-jar xalan-j2) xalan-j2.jar
ln -s $(find-jar xerces-j2) xerces-j2.jar
ln -s $(find-jar xml-commons-apis) xml-commons-apis.jar
)

%build
ant all

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -Dpm 644 %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}/license.html

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%files demo
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}-%{version}

%changelog

* Thu Jul 15 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.45-2jpp
- Relax requirements

* Sat Mar 27 2003 Ralph Apel <r.apel at r-apel.de> - 0:0.45-1jpp
- First build.
